#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include "sysp.h"

void main(void);

void main(void) {

  PSP far *psp_ptr;


  psp_ptr = FP_MAKE(_psp,0);  // Конструируем указатель
										//  на PSP
  printf("PSP расположено по адресу:   %Fp\n"
			"Доступно памяти, байт:       %ld\n"
			"PSP родительской программы:  %Fp\n"
			"\n",
			psp_ptr,
			(long)(psp_ptr->mem_top)*16L,
			FP_MAKE(psp_ptr->parn_psp,0));
  exit(0);

}
